Bug 1399616 - text_translator extension crashes gnome-shell and prevents any future login
Summary: text_translator extension crashes gnome-shell and prevents any future login
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1399486 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 12:31 UTC by Ales Raszka
Modified: 2017-12-12 10:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:10:31 UTC
Type: Bug


Attachments (Terms of Use)
journalctl (281.27 KB, text/plain)
2016-11-29 12:31 UTC, Ales Raszka
no flags Details
loaders.cache (3.28 KB, text/plain)
2016-11-29 15:36 UTC, Ales Raszka
no flags Details
text_translator_extension.tar.gz (32.71 KB, application/x-gzip)
2016-11-30 13:14 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1350303 0 unspecified CLOSED gnome-shell hangs after first login or any unlock attempt 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1399486 0 unspecified CLOSED [abrt] gnome-shell: load_sliced_image(): gnome-shell killed by SIGABRT 2021-02-22 00:41:40 UTC

Internal Links: 1350303 1399486

Description Ales Raszka 2016-11-29 12:31:03 UTC
Created attachment 1225804 [details]
journalctl

Description of problem:
Yesterday I updated my Fedora from 24 to 25. Since that time I am not able to log in to gnome as old user. Only way how to log in to gnome is as root or newly created user. I tried both Wayland and X, but none of them let me in.

Version-Release number of selected component (if applicable):
gnome-session-3.22.1-2.fc25.x86_64


How reproducible:
always

Steps to Reproduce:
1. Update from F24 to F25
2. Try to log in as old user to Gnome
3.

Actual results:
After I choose any of old users and insert password, screen is gray (classic log in background) and after few seconds it gets me back to log-in screen.

Expected results:
Successful log in to Gnome.

Additional info:

Comment 1 Kamil Páral 2016-11-29 12:57:10 UTC
This seems to be the cause:

lis 29 13:13:47 dhcp-2-217.brq.redhat.com gnome-shell[2060]: gdk_pixbuf_new_subpixbuf: assertion 'src_x >= 0 && src_x + width <= src_pixbuf->width' failed
lis 29 13:13:47 dhcp-2-217.brq.redhat.com audit[2103]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 pid=2103 comm="pool" exe="/usr/bin/gnome-shell" sig=6
lis 29 13:13:47 dhcp-2-217.brq.redhat.com org.gnome.Shell.desktop[2060]: **
lis 29 13:13:47 dhcp-2-217.brq.redhat.com org.gnome.Shell.desktop[2060]: St:ERROR:st/st-texture-cache.c:1121:load_sliced_image: assertion failed: (pixbuf != NULL)
lis 29 13:13:48 dhcp-2-217.brq.redhat.com abrt-hook-ccpp[2241]: Process 2060 (gnome-shell) of user 1000 killed by SIGABRT - dumping core

Comment 2 Kamil Páral 2016-11-29 13:19:01 UTC
The full traceback seems to be in bug 1399486 (provided it's the same crash, but it looks likely).

Comment 3 Rui Matos 2016-11-29 13:47:27 UTC
It seems like there's some issue with gdk-pixbuf loaders and this seems like it might be just another symptom of that. See https://bugzilla.redhat.com/show_bug.cgi?id=1350303#c7

Comment 4 Kamil Páral 2016-11-29 14:38:42 UTC
Ales, can you try backing up /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache and reinstalling gdk-pixbuf2 package, whether that helps? (and whether the new loaders.cache file is different?)

Comment 5 Ales Raszka 2016-11-29 15:34:51 UTC
No unfortunately it doesn't help and old loaders.cache file and new one are exactly same.

Comment 6 Ales Raszka 2016-11-29 15:36:16 UTC
Created attachment 1225903 [details]
loaders.cache

Comment 7 Debarshi Ray 2016-11-29 17:24:31 UTC
(In reply to Kamil Páral from comment #2)
> The full traceback seems to be in bug 1399486 (provided it's the same crash,
> but it looks likely).

Yes, they are the same.

Comment 8 Debarshi Ray 2016-11-29 17:31:39 UTC
(In reply to Rui Matos from comment #3)
> It seems like there's some issue with gdk-pixbuf loaders and this seems like
> it might be just another symptom of that. See
> https://bugzilla.redhat.com/show_bug.cgi?id=1350303#c7

Since the loaders.cache in comment 6 looks sane to me (I compared it to mine, especially the SVG loader), I suspect extensions. The 'maps' file in bug 1399486 shows that there are a few.

Ales, when you were trying to log in through a newly created user, did you also have the extensions?

Comment 9 Debarshi Ray 2016-11-29 17:37:10 UTC
(In reply to Debarshi Ray from comment #8)
> (In reply to Rui Matos from comment #3)
> > It seems like there's some issue with gdk-pixbuf loaders and this seems like
> > it might be just another symptom of that. See
> > https://bugzilla.redhat.com/show_bug.cgi?id=1350303#c7
> 
> Since the loaders.cache in comment 6 looks sane to me (I compared it to
> mine, especially the SVG loader), I suspect extensions. The 'maps' file in
> bug 1399486 shows that there are a few.

This stack frame of thread #1 (from bug 1399486) indicates that the SVG was loaded. The variables x, y and width appear to have sane values, and if there was a problem with the loader, I think gdk_pixbuf_loader_write would have failed earlier.

#4  0x00007f56c94eb758 in load_sliced_image (result=0x55f4bbcfd0f0, object=<optimized out>, task_data=0x55f4bd019370, cancellable=<optimized out>) at st/st-texture-cache.c:1121
        pixbuf = <optimized out>
        data = 0x55f4bd019370
        res = 0x55f4bb6a7ee0
        pix = 0x7f56a016b400
        width = 512
        y = 0
        x = 504
        loader = 0x55f4bb5b1860
        buffer = 0x7f56a005a230 "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n<!-- Created with Inkscape (http://www.inkscape.org/) -->\n\n<svg\n   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n   xmlns:cc=\"http://creativecommon"...
        length = 99814
        __func__ = "load_sliced_image"

So, I think that it could be a faulty Animation object being created from JavaScript with the wrong width and height parameters.

Comment 10 Debarshi Ray 2016-11-29 17:37:36 UTC
*** Bug 1399486 has been marked as a duplicate of this bug. ***

Comment 11 Ales Raszka 2016-11-30 08:06:11 UTC
(In reply to Debarshi Ray from comment #8)
> (In reply to Rui Matos from comment #3)
> > It seems like there's some issue with gdk-pixbuf loaders and this seems like
> > it might be just another symptom of that. See
> > https://bugzilla.redhat.com/show_bug.cgi?id=1350303#c7
> 
> Since the loaders.cache in comment 6 looks sane to me (I compared it to
> mine, especially the SVG loader), I suspect extensions. The 'maps' file in
> bug 1399486 shows that there are a few.
> 
> Ales, when you were trying to log in through a newly created user, did you
> also have the extensions?

Old user 'araszka' has some gnome extension and new one is completely clear and doesn't have any.

Comment 12 Ales Raszka 2016-11-30 12:06:28 UTC
Kamil helped me to find cause of this issue. We found out that one gnome extension called "text_translator" crashed whole gnome. After we removed directory .local/share/gnome-shell/extensions/text_translator@awamper.gmail.com, it starts work again.

I will attached directory 'text_translator@awamper.gmail.com' here and you can check what is wrong with this extension.

Comment 13 Ales Raszka 2016-11-30 12:27:04 UTC
I wasn't able to attache tar.gz directly, so here is link to my G-drive:

https://drive.google.com/a/redhat.com/file/d/0B6oBDMTK_rVpdDBBMW9LVXJwS3c/view?usp=sharing

Comment 14 Kamil Páral 2016-11-30 13:14:46 UTC
Created attachment 1226308 [details]
text_translator_extension.tar.gz

Attaching the extension tarball here.

I reproduced the problem in a cleanly installed fully-updated F25 VM. Immediately once I activate that extension, my session is killed and I can log in no more.

Comment 15 Fedora End Of Life 2017-11-16 19:10:26 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:10:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.